eth_coinBase - SEI
Example code for the eth_coinBase JSON-RPC method. Complete guide on how to use eth_coinBase JSON-RPC in GetBlock Web3 documentation.
Returns the fee-collector (coinbase) address on the Sei network. This is the address that receives transaction fees.
Parameters
None
Request
curl --location 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data '{
"jsonrpc": "2.0",
"method": "eth_coinbase",
"params": [],
"id": "getblock.io"
}'import axios from 'axios';
const url = 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/';
const payload = {
jsonrpc: '2.0',
method: 'eth_coinbase',
params: [],
id: 'getblock.io'
};
axios.post(url, payload, {
headers: { 'Content-Type': 'application/json' }
})
.then(response => console.log(response.data))
.catch(error => console.error(error));Response
{
"jsonrpc": "2.0",
"id": "getblock.io",
"result": "0x0000000000000000000000000000000000000001"
}Response Parameters
result
string
The coinbase address
Use Case
The eth_coinbase method is essential for:
Blockchain developers building applications on Sei
Wallet applications requiring network data
Analytics platforms tracking Sei network activity
DeFi protocols integrating with Sei's parallelized EVM
Error Handling
-32700
Parse error
Invalid JSON
-32600
Invalid Request
JSON is not a valid request object
-32601
Method not found
Method does not exist
-32602
Invalid params
Invalid method parameters
-32603
Internal error
Internal JSON-RPC error
-32000
Invalid input
Generic input error
-32500
Cross-VM error
Error in cross-VM operation (Sei-specific)
Web3 Integration
Last updated
Was this helpful?